🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Consolidated Nakshatra prediction

Get consolidated daily nakshatra prediction
POSThttps://json.astrologyapi.com/v1/daily_nakshatra_consolidated

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/daily_nakshatra_consolidated' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "birth_moon_sign": "Leo",
  "birth_moon_nakshatra": "Magha",
  "prediction": "Avoid rich foods or else there is a likelihood of a stomach problem. Anxiety can be the cause of some health related problems today. You tend to worry too much. Remain alert while driving and while taking up a journey. You may have difference of opinion with your spouse. You may find your domestic front troublesome for your normal peace of mind. Be on your guard against deceit. A foe in the garb of friend may betray your trust. Today is not a day to depend upon your luck. You shall have to carve out your own fate by your efforts.",
  "prediction_date": "17 June 2017"
}